import { ChangeDetectorRef, Component, NgZone, OnInit } from '@angular/core';
import { DetailsComponentBase } from '@objects-view/details-component-base';
import { IOperationModel } from '@fleio-api/utils/model/operation.model';
import { ConfigService } from '@shared/config/config.service';

@Component({
  selector: 'app-operation-details-overview',
  templateUrl: './operation-details-overview.component.html',
  styleUrls: ['./operation-details-overview.component.scss']
})
export class OperationDetailsOverviewComponent extends DetailsComponentBase<IOperationModel> implements OnInit {

  constructor(
    public config: ConfigService,
    ngZone: NgZone,
    changeDetectorRef: ChangeDetectorRef,
  ) {
    super(ngZone, changeDetectorRef, config);
  }

  capitalizedStatus(status: string) {
    return status.charAt(0).toUpperCase() + status.slice(1);
  }

  ngOnInit(): void {
    super.ngOnInit();
  }

}
